Bug 46222 - App Setting: Upgrading App does not work if settings are required.
App Setting: Upgrading App does not work if settings are required.
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.2
Other All
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Dirk Wiesenthal
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-06 09:13 CET by Dirk Wiesenthal
Modified: 2018-02-14 13:31 CET (History)
0 users

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 7: Crash: Bug causes crash or data loss
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 3: A User would likely not purchase the product
User Pain: 0.120
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2018-02-06 09:13:25 CET
Although App Settings are preserved during image upgrade, it seems the App Center does not pass the arguments to one more function: The upgrade aborts.
Comment 1 Dirk Wiesenthal univentionstaff 2018-02-06 11:18:12 CET
Fixed in
  univention-appcenter 6.0.11-13A~4.2.0.201802061112
Comment 2 Felix Botner univentionstaff 2018-02-13 16:06:50 CET
OK see http://forge.univention.org/bugzilla/show_bug.cgi?id=45796
Comment 3 Arvid Requate univentionstaff 2018-02-14 13:31:52 CET
<http://errata.software-univention.de/ucs/4.2/285.html>